# Filename: gui_colourLinePattern.py
# Purpose:  Create a panel showing style selectors.
# Results:  Display selected panel values on screen as a dictionary.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")

pan.begin_block(True, 'Select properties')
pan.colour(tag='colour', prompt='Colour')
pan.linestyle(tag='line', prompt='Linestyle')
pan.pattern(tag='fill', prompt='Pattern')
pan.end_block()
pan.display()

dict = pan.get_values()
print(dict)